import { IGXE } from "@intelligentgraphics/igd.core";
export interface BasketPrice {
    value?: number;
    rangeMin?: number;
    rangeMax?: number;
    currency: string;
    locale: string;
}
export declare type BasketPriceFormatter = (price: BasketPrice) => string | undefined;
/** Representation of BOM summary. */
export interface IBomTotal {
    caption: string | string[];
    percentage?: number;
    value?: number;
    rangeMin?: number;
    rangeMax?: number;
    currency?: string;
    type: "total" | "subtotal" | "additional";
    text: string;
}
export interface Basket {
    destroy(): void;
    getBomTotals(): IBomTotal[];
    getPositionString(comId: string): string;
    getSinglePrice(comId: string): IGXE.IPrice | undefined;
    getSinglePriceText(comId: string): string | undefined;
}
